package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TableNiuseRongliang{
    private Integer id;
    private String 牛舍编号;
    private String 牧场编号;
    private String 牛舍名称;
    private String 牛舍类别;
    private String 实际存放牛只分类;
    private String 管理员;
    private BigDecimal 建筑面积;
    private Short 设计容量;
    private Integer 颈枷数;
    private Integer 制度要求使用数颈枷;
    private Integer 卧床数;
    private Integer 制度要求使用数卧床;
    private Integer 核定容量;
    private Integer 综合核定的合理承载数;
    private String 是否青年围产舍;
    private Integer flagcolumn;
    private String 备注;
    private String 修改人;
    private Date 修改时间;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String get牛舍编号(){
        return this.牛舍编号;
    }

    public void set牛舍编号(String 牛舍编号){
        this.牛舍编号 = 牛舍编号;
    }
    public String get牧场编号(){
        return this.牧场编号;
    }

    public void set牧场编号(String 牧场编号){
        this.牧场编号 = 牧场编号;
    }
    public String get牛舍名称(){
        return this.牛舍名称;
    }

    public void set牛舍名称(String 牛舍名称){
        this.牛舍名称 = 牛舍名称;
    }
    public String get牛舍类别(){
        return this.牛舍类别;
    }

    public void set牛舍类别(String 牛舍类别){
        this.牛舍类别 = 牛舍类别;
    }
    public String get实际存放牛只分类(){
        return this.实际存放牛只分类;
    }

    public void set实际存放牛只分类(String 实际存放牛只分类){
        this.实际存放牛只分类 = 实际存放牛只分类;
    }
    public String get管理员(){
        return this.管理员;
    }

    public void set管理员(String 管理员){
        this.管理员 = 管理员;
    }
    public BigDecimal get建筑面积(){
        return this.建筑面积;
    }

    public void set建筑面积(BigDecimal 建筑面积){
        this.建筑面积 = 建筑面积;
    }
    public Short get设计容量(){
        return this.设计容量;
    }

    public void set设计容量(Short 设计容量){
        this.设计容量 = 设计容量;
    }
    public Integer get颈枷数(){
        return this.颈枷数;
    }

    public void set颈枷数(Integer 颈枷数){
        this.颈枷数 = 颈枷数;
    }
    public Integer get制度要求使用数颈枷(){
        return this.制度要求使用数颈枷;
    }

    public void set制度要求使用数颈枷(Integer 制度要求使用数颈枷){
        this.制度要求使用数颈枷 = 制度要求使用数颈枷;
    }
    public Integer get卧床数(){
        return this.卧床数;
    }

    public void set卧床数(Integer 卧床数){
        this.卧床数 = 卧床数;
    }
    public Integer get制度要求使用数卧床(){
        return this.制度要求使用数卧床;
    }

    public void set制度要求使用数卧床(Integer 制度要求使用数卧床){
        this.制度要求使用数卧床 = 制度要求使用数卧床;
    }
    public Integer get核定容量(){
        return this.核定容量;
    }

    public void set核定容量(Integer 核定容量){
        this.核定容量 = 核定容量;
    }
    public Integer get综合核定的合理承载数(){
        return this.综合核定的合理承载数;
    }

    public void set综合核定的合理承载数(Integer 综合核定的合理承载数){
        this.综合核定的合理承载数 = 综合核定的合理承载数;
    }
    public String get是否青年围产舍(){
        return this.是否青年围产舍;
    }

    public void set是否青年围产舍(String 是否青年围产舍){
        this.是否青年围产舍 = 是否青年围产舍;
    }
    public Integer getFlagcolumn(){
        return this.flagcolumn;
    }

    public void setFlagcolumn(Integer flagcolumn){
        this.flagcolumn = flagcolumn;
    }
    public String get备注(){
        return this.备注;
    }

    public void set备注(String 备注){
        this.备注 = 备注;
    }
    public String get修改人(){
        return this.修改人;
    }

    public void set修改人(String 修改人){
        this.修改人 = 修改人;
    }
    public Date get修改时间(){
        return this.修改时间;
    }

    public void set修改时间(Date 修改时间){
        this.修改时间 = 修改时间;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

